Package be.fgov.ehealth.dics.protocol.v4

# Class FindLegislationTextRequest

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.RequestType
be.fgov.ehealth.dics.protocol.v4.FindLegislationTextRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class FindLegislationTextRequest extends RequestType implements Serializable

Java class for FindLegislationTextRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindLegislationTextRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <choice>
             <element name="FindLegalBases" type="{urn:be:fgov:ehealth:dics:protocol:v4}FindLegalBasesType"/>
             <element name="FindByLegalReferencePath" type="{urn:be:fgov:ehealth:dics:core:v4:core}LegalReferencePathType"/>
             <element name="FindByDmpp" type="{urn:be:fgov:ehealth:dics:core:v4:actual:common}DmppKeyType"/>
           </choice>
           <attribute ref="{http://www.w3.org/XML/1998/namespace}lang use="required""/>
           <attribute name="SearchDate" type="{http://www.w3.org/2001/XMLSchema}date" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindLegislationTextRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DmppKeyType`
  `getFindByDmpp()`
  Returns all legal references concerning the medicinal product identified by this Dmpp
  `String`
  `getFindByLegalReferencePath()`
  Returns the children of a legal reference identified by a path.
  `FindLegalBasesType`
  `getFindLegalBases()`
  Gets a list of all legal bases known in the system, inluding the first level legal reference (if available).
  `String`
  `getLang()`
  Attempting to install the relevant ISO 2- and 3-letter codes as the enumerated possible values is probably never going to be a realistic possibility.
  `Instant`
  `getSearchDate()`
  Gets the value of the searchDate property.
  `void`
  `setFindByDmpp(DmppKeyType value)`
  Sets the value of the findByDmpp property.
  `void`
  `setFindByLegalReferencePath(String value)`
  Sets the value of the findByLegalReferencePath property.
  `void`
  `setFindLegalBases(FindLegalBasesType value)`
  Sets the value of the findLegalBases property.
  `void`
  `setLang(String value)`
  Sets the value of the lang property.
  `void`
  `setSearchDate(Instant value)`
  Sets the value of the searchDate property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType

  `getId, getIssueInstant, setId, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FindLegislationTextRequest

    public FindLegislationTextRequest()

- ## Method Details

  - ### getFindByDmpp

    public DmppKeyType getFindByDmpp()
    Returns all legal references concerning the medicinal product identified by this Dmpp
    Returns:
      possible object is `DmppKeyType`

  - ### setFindByDmpp

    public void setFindByDmpp(DmppKeyType value)
    Sets the value of the findByDmpp property.
    Parameters:
      `value` - allowed object is `DmppKeyType`
    See Also:
      - `getFindByDmpp()`

  - ### getFindByLegalReferencePath

    public String getFindByLegalReferencePath()
    Returns the children of a legal reference identified by a path. If the referenced legal reference is a leaf reference (no child legal references), the entire legal reference and all children (legal text, formal interpretation) is returned. If the legal reference contains legal reference children, only the direct children are returned.
    Returns:
      possible object is `String`

  - ### setFindByLegalReferencePath

    public void setFindByLegalReferencePath(String value)
    Sets the value of the findByLegalReferencePath property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getFindByLegalReferencePath()`

  - ### getFindLegalBases

    public FindLegalBasesType getFindLegalBases()
    Gets a list of all legal bases known in the system, inluding the first level legal reference (if available). Using this result, a user can continue digging in the legislation tree using the FindByLegalReferencePath element.
    Returns:
      possible object is `FindLegalBasesType`

  - ### setFindLegalBases

    public void setFindLegalBases(FindLegalBasesType value)
    Sets the value of the findLegalBases property.
    Parameters:
      `value` - allowed object is `FindLegalBasesType`
    See Also:
      - `getFindLegalBases()`

  - ### getLang

    public String getLang()
    Attempting to install the relevant ISO 2- and 3-letter codes as the enumerated possible values is probably never going to be a realistic possibility. See RFC 3066 at http://www.ietf.org/rfc/rfc3066.txt and the IANA registry at http://www.iana.org/assignments/lang-tag-apps.htm for further information. The union allows for the 'un-declaration' of xml:lang with the empty string.
    Returns:
      possible object is `String`

  - ### setLang

    public void setLang(String value)
    Sets the value of the lang property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getLang()`

  - ### getSearchDate

    public Instant getSearchDate()
    Gets the value of the searchDate property.
    Returns:
      possible object is `String`

  - ### setSearchDate

    public void setSearchDate(Instant value)
    Sets the value of the searchDate property.
    Parameters:
      `value` - allowed object is `String`